<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen
    xmlns:android="http://schemas.android.com/apk/res/android">

    <PreferenceCategory
        android:title="Account Settings">

        <org.deke.risk.riskahead.helper.ValidatedEditTextPreference
            android:key="usernamePref"
            android:title="Username"
            android:summary="Please enter your username"
            android:dialogTitle="Enter your username" />

        <EditTextPreference
            android:key="namePref"
            android:title="Name"
            android:summary="Please enter your name"
            android:dialogTitle="Enter your name" />

        <EditTextPreference
            android:key="surnamePref"
            android:title="Surname"
            android:summary="Please enter your surname"
            android:dialogTitle="Enter your surname" />

        <org.deke.risk.riskahead.helper.ValidatedEditTextPreference
            android:key="emailPref"
            android:inputType="textEmailAddress"
            android:title="E-Mail"
            android:summary="Please enter your email"
            android:dialogTitle="Enter your email" />

        <Preference
            android:key="resetPassword"
            android:title="Reset Password"
            android:summary="Request a new password" />


    </PreferenceCategory>

    <PreferenceCategory
        android:title="Notifications">

        <SwitchPreference
        android:key="notifyEnable"
        android:title="Show Notifications"
        android:summary="Enable notifications in your area" />

        <ListPreference
            android:key="notifyRadius"
            android:title="Radius"
            android:entries="@array/notification_radius"
            android:entryValues="@array/notification_radius_entry"
            android:summary="Choose the radius from your last known location in which notifications will be displayed"
            android:dialogTitle="Notification Radius" />

        <ListPreference
            android:key="notifyFrequency"
            android:title="Poll Frequency"
            android:entries="@array/notification_freq"
            android:entryValues="@array/notification_freq_entry"
            android:summary="Decide how often notification updates should be received from server"
            android:dialogTitle="Poll Frequency" />

        <SwitchPreference
            android:key="notifyEnableGPS"
            android:title="Enable GPS"
            android:summary="Get your last know location with GPS (GPS has to be activated in your device settings)" />

        <Preference
            android:key="notifyChooseLocation"
            android:title="Choose your location"
            android:summary="Your Location (Latitude/Longitude):" />

    </PreferenceCategory>

</PreferenceScreen>